package com.hai.model;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class HighOrderPreModel {
    /**
     * 预约订单号
     */
    private String preOrderNo;

    /**
     * 支付订单号
     */
    private String orderNo;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;


    /**
     * 商品名称
     */
    private String goodsName;


    /**
     * 预约用户姓名
     */
    private String preUserName;

    /**
     * 预约用户手机号
     */
    private String preUserPhone;

    /**
     * 预约用户备注
     */
    private String preUserRemark;

    /**
     * 状态  1.预约中  2. 预约成功  3.预约完成  4.预约失败  5.预约取消
     */
    private String status;

    /**
     * 预约失败说明
     */
    private String statusFailDesc;


    /**
     * 到达时间
     */
    private Date reachTime;

    /**
     * 到达地点
     */
    private String reachAddress;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店地址
     */
    private String address;

    public String getPreOrderNo() {
        return preOrderNo;
    }

    public void setPreOrderNo(String preOrderNo) {
        this.preOrderNo = preOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getPreUserName() {
        return preUserName;
    }

    public void setPreUserName(String preUserName) {
        this.preUserName = preUserName;
    }

    public String getPreUserPhone() {
        return preUserPhone;
    }

    public void setPreUserPhone(String preUserPhone) {
        this.preUserPhone = preUserPhone;
    }

    public String getPreUserRemark() {
        return preUserRemark;
    }

    public void setPreUserRemark(String preUserRemark) {
        this.preUserRemark = preUserRemark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatusFailDesc() {
        return statusFailDesc;
    }

    public void setStatusFailDesc(String statusFailDesc) {
        this.statusFailDesc = statusFailDesc;
    }

    public Date getReachTime() {
        return reachTime;
    }

    public void setReachTime(Date reachTime) {
        this.reachTime = reachTime;
    }

    public String getReachAddress() {
        return reachAddress;
    }

    public void setReachAddress(String reachAddress) {
        this.reachAddress = reachAddress;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
